X
Tap here to go to the mobile version of the site.

Support Forum

rollback

Posted

I have never updated to Quantum due to the horrible nature of the update; today Firefox automatically updated to Quantum (Version 60) and when I go to your website to rollback and click on the ESR download, it continues to take me to 60… this version is horrible and removes all intelligent add-ons used as teachers in our building. Where do I get the version that supports Legacy add-ons… I find it very disreputable and dishonorable to auto-install something on my computer without asking if I choose to accept… I also had auto update turned off (obviously since I’ve managed to hang on to the Firefox 53 ESR version until today. Please direct me to the download location or send me the file. Thank you for your time and support.

I have never updated to Quantum due to the horrible nature of the update; today Firefox automatically updated to Quantum (Version 60) and when I go to your website to rollback and click on the ESR download, it continues to take me to 60… this version is horrible and removes all intelligent add-ons used as teachers in our building. Where do I get the version that supports Legacy add-ons… I find it very disreputable and dishonorable to auto-install something on my computer without asking if I choose to accept… I also had auto update turned off (obviously since I’ve managed to hang on to the Firefox 53 ESR version until today. Please direct me to the download location or send me the file. Thank you for your time and support.

Additional System Details

Installed Plug-ins

  • Shockwave Flash 30.0 r0

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:60.0) Gecko/20100101 Firefox/60.0

More Information

jscher2000
  • Top 10 Contributor
8767 solutions 71704 answers

Helpful Reply

Hi MJKiel, it's normal for ESR versions to jump to the new major version 6-8 weeks after their final minor version release, so 52.9.0 auto-updates to 60.2.0.

For a link to a directory of older versions including 52.9.0, see: Install an older version of Firefox.

Bear in mind that some data files are not downward compatible and will not be usable after an upgrade and subsequent downgrade.

Hi MJKiel, it's normal for ESR versions to jump to the new major version 6-8 weeks after their final minor version release, so 52.9.0 auto-updates to 60.2.0. For a link to a directory of older versions including 52.9.0, see: [[Install an older version of Firefox]]. Bear in mind that some data files are not downward compatible and will not be usable after an upgrade and subsequent downgrade.
WestEnd 60 solutions 5387 answers

WIth the updates unless addons are update by the creators to work with latest FF version they will not run in newer versions. FF no longer supports legacy addons the creators must update their addon to be compatible with the newer FF versions. That issue isn't a FF forum but something you need to direct to the creators of the addons. FF end user help here only help with current support FF and FF ESR versions only.

WIth the updates unless addons are update by the creators to work with latest FF version they will not run in newer versions. FF no longer supports legacy addons the creators must update their addon to be compatible with the newer FF versions. That issue isn't a FF forum but something you need to direct to the creators of the addons. FF end user help here only help with current support FF and FF ESR versions only.